Reschedule/update a Google Calendar event
curl --request PATCH \
--url https://api.sapt.ai/projects/{projectId}/calendar/google/events/{eventId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"calendarId": "<string>",
"start": "<string>",
"end": "<string>",
"durationMinutes": 123,
"timeZone": "<string>",
"summary": "<string>",
"description": "<string>",
"conflictCheck": true,
"notifyAttendees": true
}
'import requests
url = "https://api.sapt.ai/projects/{projectId}/calendar/google/events/{eventId}"
payload = {
"calendarId": "<string>",
"start": "<string>",
"end": "<string>",
"durationMinutes": 123,
"timeZone": "<string>",
"summary": "<string>",
"description": "<string>",
"conflictCheck": True,
"notifyAttendees": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
calendarId: '<string>',
start: '<string>',
end: '<string>',
durationMinutes: 123,
timeZone: '<string>',
summary: '<string>',
description: '<string>',
conflictCheck: true,
notifyAttendees: true
})
};
fetch('https://api.sapt.ai/projects/{projectId}/calendar/google/events/{eventId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"bookingUid": "<string>",
"start": "<string>",
"end": "<string>",
"htmlLink": "<string>",
"calendarId": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}Calendar
Reschedule/update a Google Calendar event
Patch an event on the connected Google Calendar — move its start/end (reschedule) and/or change title/description. Re-notifies attendees unless notifyAttendees: false.
PATCH
/
projects
/
{projectId}
/
calendar
/
google
/
events
/
{eventId}
Reschedule/update a Google Calendar event
Authorizations
JWT token obtained from /api/auth/token endpoint. Token is verified using JWKS and must include a valid user identifier.
Body
application/json